Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000897Frama-CPlug-in > slicingpublic2011-07-28 17:332014-02-12 16:59
Reporterpascal 
Assigned ToAnne 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000897: error: label ‘__invalid_label’ used but not defined (csmith)
DescriptionJe rapporte au plus vite pendant que c'est encore frais. Ça semble bien être un petit bug lié aux changements récents.

La commande de slicing était :

~/ppc/bin/toplevel.opt -val-signed-overflow-alarms -no-val-show-progress s.28172412.1.i -slice-calls Frama_C_show_each -slevel 5000 -slevel-function crc32_gentab:0 -then-on 'Slicing export' -print -ocode s.28172412.1.s.c

Il y en a un deuxième qui est sorti pendant que je faisais l'archive et qui s'est glissé dedans. Le deuxième semble être un autre problème mais est trop gros pour être regardé, j'en trouverai un plus petit.

TagsNo tags attached.
Attached Filestgz file icon invalid_label.tgz [^] (130,891 bytes) 2011-07-28 17:33

- Relationships

-  Notes
(0002071)
pascal (reporter)
2011-07-28 17:37

Le deuxième programme compile mais fait division par zéro là où l'original ne le faisait pas. Ça ne semble pas être le même problème.
(0004758)
Anne (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-07-28 17:33 pascal New Issue
2011-07-28 17:33 pascal Status new => assigned
2011-07-28 17:33 pascal Assigned To => Anne
2011-07-28 17:33 pascal File Added: invalid_label.tgz
2011-07-28 17:37 pascal Note Added: 0002071
2011-07-29 08:10 svn Checkin
2011-07-29 08:10 svn Status assigned => resolved
2011-07-29 08:10 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2011-12-19 09:57 pascal Status closed => feedback
2011-12-19 09:57 pascal Resolution fixed => reopened
2011-12-19 09:59 pascal View Status private => public
2011-12-19 10:00 pascal Status feedback => closed
2011-12-19 10:00 pascal Resolution reopened => fixed
2014-02-12 16:59 Anne Note Added: 0004758
2014-02-12 16:59 Anne Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker